View Issue Details

IDProjectCategoryView StatusLast Update
0002420SOGo ConnectorGeneralpublic2014-02-12 08:57
Reporterlivelace Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Fixed in Version24.0.4 
Summary0002420: Sogo-connector 17.0.5 cyrillic categories
Description

Don't show properly cyrillic names of categories.

TagsNo tags attached.

Relationships

has duplicate 0002592 resolvedludovic Wrong recoding non-ASCII characters in Contact categories 

Activities

2013-09-18 04:37

 

Screenshot-7.png (Attachment missing)

2013-09-18 04:37

 

Screenshot-8.png (Attachment missing)

2013-09-18 04:37

 

Screenshot-9.png (Attachment missing)
livelace

livelace

2013-09-18 07:27

reporter   ~0006019

Fast workaround:

*** sogo-dist/chrome/content/sogo-connector/addressbook/categories.js 2013-04-17 16:54:08.000000000 +0400
--- sogo/chrome/content/sogo-connector/addressbook/categories.js 2013-09-18 15:16:57.971057887 +0400


* 6,11 **
--- 6,12 ----
.getService(Components.interfaces.nsIPrefBranch);
try {
cats = prefService.getCharPref("sogo-connector.contacts.categories");

  • cats = decodeURIComponent(escape(cats));
    }
    catch(e) {
    let strService = Components.classes["@mozilla.org/intl/stringbundle;1"]


    * 20,26 **
    setCategoriesAsString: function SCCC_setCategoriesAsString(cats) {
    let prefService = Components.classes["@mozilla.org/preferences-service;1"]
    .getService(Components.interfaces.nsIPrefBranch);
    ! prefService.setCharPref("sogo-connector.contacts.categories", cats);
    },

    getCategoriesAsArray: function SCCC_getCategoriesAsArray() {
    --- 21,27 ----
    setCategoriesAsString: function SCCC_setCategoriesAsString(cats) {
    let prefService = Components.classes["@mozilla.org/preferences-service;1"]
    .getService(Components.interfaces.nsIPrefBranch);
    ! prefService.setCharPref("sogo-connector.contacts.categories", unescape(encodeURIComponent(cats)));
    },

    getCategoriesAsArray: function SCCC_getCategoriesAsArray() {

ludovic

ludovic

2013-10-18 10:38

administrator   ~0006130

I don't think it's a fast-workaround but a rather clean fix. Has it been working ok for you?

livelace

livelace

2013-10-18 14:29

reporter   ~0006134

Yes, it's working for me.

ludovic

ludovic

2013-10-22 11:38

administrator   ~0006156

Please submit 2 pull requests on github.com fro sogo-connector tb17 and tb24.

Christian Mack

Christian Mack

2013-11-21 10:51

developer   ~0006251

Any updates on this?

ludovic

ludovic

2014-02-12 08:57

administrator   ~0006540

https://github.com/inverse-inc/sogo-connector.tb24/commit/6c8ee8bcc26faeb874e15fe152ef0cb91406fd66

Issue History

Date Modified Username Field Change
2013-09-18 04:19 livelace New Issue
2013-09-18 04:37 livelace File Added: Screenshot-7.png
2013-09-18 04:37 livelace File Added: Screenshot-8.png
2013-09-18 04:37 livelace File Added: Screenshot-9.png
2013-09-18 07:27 livelace Note Added: 0006019
2013-10-18 10:38 ludovic Note Added: 0006130
2013-10-18 14:29 livelace Note Added: 0006134
2013-10-22 11:38 ludovic Note Added: 0006156
2013-11-21 10:51 Christian Mack Note Added: 0006251
2014-02-12 08:55 ludovic Relationship added has duplicate 0002592
2014-02-12 08:57 ludovic Project SOGo => SOGo Connector
2014-02-12 08:57 ludovic Category i18n => General
2014-02-12 08:57 ludovic Note Added: 0006540
2014-02-12 08:57 ludovic Status new => closed
2014-02-12 08:57 ludovic Assigned To => ludovic
2014-02-12 08:57 ludovic Resolution open => fixed
2014-02-12 08:57 ludovic Fixed in Version => 24.0.4